(function (factory) {
    if (typeof module === 'object' && typeof module.exports === 'object') {
        var v = factory(require, exports); if (v !== undefined) module.exports = v;
    }
    else if (typeof define === 'function' && define.amd) {
        define(["require", "exports", '@angular/core'], factory);
    }
})(function (require, exports) {
    "use strict";
    var core_1 = require('@angular/core');
    /**
     * @private
     */
    var RangeKnob = (function () {
        function RangeKnob() {
        }
        Object.defineProperty(RangeKnob.prototype, "ratio", {
            set: function (r) {
                this._x = r * 100 + "%";
            },
            enumerable: true,
            configurable: true
        });
        RangeKnob.decorators = [
            { type: core_1.Component, args: [{
                        selector: '.range-knob-handle',
                        template: '<div class="range-pin" *ngIf="pin">{{val}}</div>' +
                            '<div class="range-knob"></div>',
                        host: {
                            '[class.range-knob-pressed]': 'pressed',
                            '[class.range-knob-min]': 'val===min||val===undefined',
                            '[class.range-knob-max]': 'val===max',
                            '[style.left]': '_x',
                            '[attr.aria-valuenow]': 'val',
                            '[attr.aria-valuemin]': 'min',
                            '[attr.aria-valuemax]': 'max',
                            'role': 'slider',
                            'tabindex': '0'
                        }
                    },] },
        ];
        /** @nocollapse */
        RangeKnob.ctorParameters = [];
        RangeKnob.propDecorators = {
            'ratio': [{ type: core_1.Input },],
            'pressed': [{ type: core_1.Input },],
            'pin': [{ type: core_1.Input },],
            'min': [{ type: core_1.Input },],
            'max': [{ type: core_1.Input },],
            'val': [{ type: core_1.Input },],
        };
        return RangeKnob;
    }());
    exports.RangeKnob = RangeKnob;
});
//# sourceMappingURL=range-knob.js.map